<template>
  <div class="app-title container" :class="[titleStyle]" v-html="title"></div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true
    }
  },
  computed: {
    titleStyle() {
      const plainText = this.$utils.getPlainText(this.title)
      if (plainText.length <= 35) return ''
      else if (plainText.length <= 75) return 'medium'
      else return 'small'
    }
  }
}
</script>

<style lang="scss" scoped>
.app-title {
  font-family: DINCond-Bold;
  font-size: 90px;
  font-weight: bold;
  letter-spacing: 0.5px;
  font-weight: bold;
  margin-top: 3rem;

  &.medium {
    font-size: 60px;
    margin-top: 2rem;
  }

  &.small {
    font-size: 45px;
    margin-top: 0;
  }
}
</style>
